Bug 788826 (CVE-2011-3970)

Summary: CVE-2011-3970 libxslt: Out-of-bounds read when parsing certain patterns
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120209,reported=20120209,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-4/libxslt=wontfix,rhel-5/libxslt=affected,rhel-6/libxslt=affected,rhel-6/mingw32-libxslt=wontfix,fedora-all/libxslt=affected,cwe=CWE-125[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-07 12:37:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 788827, 852942, 852943, 852945, 852946    
Bug Blocks: 852939    

Description Huzaifa S. Sidhpurwala 2012-02-09 00:12:15 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3970 to
the following vulnerability:

Name: CVE-2011-3970
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3970
Assigned: 20111001
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=110277
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2012/02/stable-channel-update.html

libxslt, as used in Google Chrome before 17.0.963.46, allows remote
attackers to cause a denial of service (out-of-bounds read) via
unspecified vectors.

Upstream patch:
http://git.gnome.org/browse/libxslt/commit/?id=fe5a4fa33eb85bce3253ed3742b1ea6c4b59b41b
Comment 1 Huzaifa S. Sidhpurwala 2012-02-09 00:17:29 EST
Created libxslt tracking bugs for this issue

Affects: fedora-all [bug 788827]
Comment 2 Huzaifa S. Sidhpurwala 2012-02-09 00:19:22 EST
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw in libxslt.
Comment 5 errata-xmlrpc 2012-09-13 13:43:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html
Comment 6 errata-xmlrpc 2012-09-13 13:48:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html
Comment 7 Fedora Update System 2012-09-26 05:11:18 EDT
libxslt-1.1.26-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-27 00:26:16 EDT
libxslt-1.1.26-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-12-09 01:30:50 EST
libxslt-1.1.27-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.